<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:smallScreens="true"
        android:xlargeScreens="true" /> <!-- Supports TV (Leanback for Android TV and Firestick) -->
    <uses-feature
        android:name="android.software.leanback"
        android:required="false" /> <!-- Touchscreen is required for Mobile, but optional for TVs -->
    <uses-feature
        android:name="android.hardware.touchscreen"
        android:required="false" /> <!-- Enforce Landscape Mode for TVs -->
    <uses-feature
        android:name="android.hardware.screen.landscape"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.screen.portrait"
        android:required="false" /> <!-- WiFi Feature (Optional) -->
    <uses-feature
        android:name="android.hardware.wifi"
        android:required="false" /> <!-- Internet and Network Access -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- Storage Permissions (For Media Access) -->
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="29" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" /> <!-- Notifications -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" /> <!-- Advertising -->
    <uses-permission android:name="android.permission.Ad_ID" /> <!-- Foreground Services -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_DATA_SYNC" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <application
        android:name=".activity.MyApplication"
        android:allowBackup="true"
        android:banner="@mipmap/ic_banner"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:supportsRtl="true"
        android:theme="@style/Nemosofts.ThemeEngine.DayNight"
        android:usesCleartextTraffic="true"
        tools:ignore="DiscouragedApi"
        tools:targetApi="n">

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <activity
            android:name=".activity.LauncherActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="true"
            android:hardwareAccelerated="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
                <category android:name="android.intent.category.LEANBACK_LAUNCHER" /> <!-- Required for Android TV -->
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.ui.BlackPantherActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.GlossyActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.OneUIActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.MovieUiActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SingleStreamActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.LocalStorageActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.VUIActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.ChristmasActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.HalloweenActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.RamadanActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ui.SportsActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SignInActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SignInCodeActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SignInDeviceActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.OpenVPNActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SelectPlayerActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.UsersListActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ProfileActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.CategoriesActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.NetworkSpeedActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.LiveTvActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.MovieActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SeriesActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.DetailsMovieActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.DetailsSeriesActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.AddSingleURLActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.EPGTwoActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.EPGOneActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.CatchUpActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.CatchUpLiveActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.CatchUpEpgActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.NotificationsActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.DialogActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.RadioActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.WebActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.FilterActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.FilterPlaylistActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.FilterCategoriesActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.MultipleScreenActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.DownloadActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.NotificationsWebActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.GalleryActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />

        <activity
            android:name=".activity.TrialAccountActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />

        <!-- Setting -->
        <activity
            android:name=".activity.SettingActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingGeneralActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingMultiScreenActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingFormatActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingUIActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingAutomationActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingTimeFormatActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingClearDataActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SettingPlayerActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.AboutUsActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.PlaylistActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.AddPlaylistActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.SearchActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.YouTubePlayerActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:launchMode="singleTask"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" /> <!-- Player -->
        <activity
            android:name=".activity.ExoPlayerActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:supportsPictureInPicture="true"
            android:windowSoftInputMode="adjustResize|stateHidden" />
        <activity
            android:name=".activity.ExoPlayerLiveActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation|keyboardHidden|uiMode"
            android:exported="false"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:supportsPictureInPicture="true"
            android:windowSoftInputMode="adjustResize|stateHidden" /> <!-- Get Data -->
        <activity
            android:name=".activity.GetActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.SEARCH" />
                <action android:name="android.intent.action.GET_CONTENT" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="text/plain" />
                <data android:mimeType="vnd.android.cursor.item/vnd.google.note" />
            </intent-filter>
        </activity> <!-- Download Service -->
        <service
            android:name=".activity.DownloadService"
            android:exported="false"
            android:foregroundServiceType="dataSync" />

        <meta-data
            android:name="firebase_crashlytics_collection_enabled"
            android:value="false" /> <!-- Mobile Advertising -->
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />
        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="@string/admob_app_id" />

        <activity
            android:name="com.google.android.gms.ads.AdActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:resizeableActivity="true"
            android:screenOrientation="landscape"
            android:windowSoftInputMode="adjustResize|stateHidden" />
    </application>

</manifest>